# 新增两清

新增两清数据，支持批量。批量能有效提高性能，所以能批量就批量。

## 接口名称

addFamily

>## 用法

- **URL：**/api/interface/user/addFamily/invoke

- **Method:** POST
> **Note:** <font color="#dd0000">Domain 必须切换到基地这一作用域,切换作用域，参照“作用域”部分.</font>

## 参数

- **token:**  token是在登陆后获取的tokenId，加密后的结果。
- **dmPath:** 作用域路径 例如 "/XH/XH002/XH002"，/XH 代表徐汇区，/XH/XH002代表某个项目，其中/XH002 是项目编号
- **params:**
  - **data**  新增的数据，必须是数组，即使只有一条数据。

```json
[{
    beiChaiQianRen: string,----------------------被拆迁人
    buWeiPingGuJieHeChongXinDanJia: string,------多房子，分开评估 如 房1：1700元/㎡，房2：1200元/㎡
    chongZhiJieHeChengXin: double,---------------多房子，评估成一个单价。
    devices: [{----------------------------------设备
      danJia:double,-----------------------------单价
      jiLiang:double,----------------------------数量
      name:string,-------------------------------名称
      unit:string,-------------------------------单位，如个，平方米等
      zongJia:double-----------------------------总价
    }],
    erTai: int,----------------------------------二胎
    fangWuXingZhi: string,-----------------------房屋性质
    fangWuZuoLuo: string,------------------------房屋坐落
    fuShuWuJinE: double,-----------------------附属物金额
    fuShuWus: [{---------------------------------附属物
      danJia:double,-----------------------------单价
      jieGou:string,-----------------------------结构
      jiLiang:double,----------------------------数量
      name:string,-------------------------------名称
      type:string,-------------------------------类型
      unit:string,-------------------------------单位
      usage:string,------------------------------附属物用途
      zongJia:double-----------------------------附属物总价
    }],
    heDingMianJi: double,------------------------核定面积
    identityCard: string,------------------------被补偿人身份证号
    juMinFenZu: string,--------------------------居民分组
    leiXing: string,-----------------------------如居民户，农民户
    number: string,------------------------------征收编号，合同编号
    pingGuMianJi: double,------------------------评估面积
    shiCeMianJi: double,-------------------------实测面积
    tuDiZhengHao: string,------------------------土地证号
    weiRenDingMianJi: double,--------------------未认定面积
    wuZhengMJ: double,---------------------------无证面积
    yingJianWeiJianMianJi: string,---------------应建未建面积
    youZhengDuoYuMianJi: string,-----------------有证多余面积
    youZhengMianJi: string,----------------------有证面积
    zhaiJiDiShiYongZheng: string-----------------宅基地使用证
  }]
  ```

## 返回值

`[int]` - 新增的两清的id

## 例子1

>**Note:** 测试时，例子中的参数token中的值不可以直接使用。

```json
{
    "token": "r0GRdB_xSjijV8Um5mrAPIjOKzQM_V_MsBYAP26yH5utZnQkBQrki539pqV4eKcHj9q14mdFW4uZwlTabdYuRXjOQmOtc9DJV23KiWOrg1aNxTd_0UH6B9HieYIVG0lPSLUABQN6-B_ewlTdi7KxwCchO8iNAs7zCaz39UNc0Jg",
    "dmPath": "/XH/XH002/XH002",
    "params": {
        "data": [
            {
                "erTai": 0,
                "fuShuWus": [
                    {
                        "danJia": 9200,
                        "jiLiang": 1,
                        "name": "棚舍及附属物",
                        "zongJia": 9200
                    }
                ],
                "number": "14HP0112",
                "isLocked": false,
                "beiChaiQianRen": "吴龙华(户)",
                "identityCard": "310221195909183215",
                "fangWuZuoLuo": "宅河头76号",
                "leiXing": "农业户",
                "fangWuXingZhi": "私房",
                "youZhengMianJi": "178.0000",
                "heDingMianJi": "301.0000",
                "shiCeMianJi": "405.5000",
                "chongZhiJieHeChengXin": "830.00",
                "yingJianWeiJian": "0.00",
                "youZhengDuoYuMianJi": "0.00",
                "tuDiZhengHao": "",
                "zhaiJiDiShiYongZheng": "沪集宅(上龙)字第华浦-330号",
                "erCiDongQianMianJi": "0.00",
                "heDingRenKou": "7.0000",
                "zaiCeHuShu": "2.00"
            }
        ]
    }
}
```

## 例子2

```json
{
    "token": "ZrFT8bbnQy-CkmL0_sGNModAE142dFiV5HmUcFA3Jm1yt3XZqjZa5Q8ifNvxi7EgInc46K4JnRwNodLbkSlSqO2v2UU7wdY24QwpDAjcBhzFQCXhwOYUVU8JKVCD85ps3PxnioIFuYkP6YZH_FdluTsl7siRin5yAxIMxCNWqI8",
    "dmPath": "/XH/XH2018003/XH2018003-01",
    "params": {
        "data": [{
            "erTai": 0,
            "fuShuWus": [{
                "danJia": 29051.0,
                "jiLiang": 1.0,
                "name": "",
                "zongJia": 29051.0
            }],
            "number": "QPXQCJT-18",
            "beiChaiQianRen": "杜进兴（户）",
            "identityCard": "",
            "fangWuZuoLuo": "新桥村51号",
            "youZhengMianJi": "263.0600",
            "heDingMianJi": "180.0000",
            "juMinFenZu": "十一队",
            "weiRenDingMianJi": "0.0000",
            "pingGuMianJi": "263.06",
            "buWeiPingGuJieHeChongXinDanJia": "主屋：758.00、附屋：673.00",
            "fuShuWuJinE": "29051.00"
        }]
    }
}
```